* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
  background-image: url("./northern\ light.jpg");
  background-color:#0026ff;
}

h1 {
  font-weight: bold;
  font-size: 44px;
  line-height: 34px;
  color: #42dd6e;
  text-align: center;
}

h2 {
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
  color: #fff;
  text-align: center;
  margin-bottom: 20px;
}

h3 {
  margin-bottom: 10px;
}

p {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  margin: 0;
}

input {
  box-sizing: border-box;
  border: none;
  border-radius: 4px 0 0 4px;
  background: #e5e9ff;
  color: #0026ff;
  padding: 16px;
  font-size: 16px;
  font-family: 'Montserrat';
  font-weight: 600;
  line-height: 26px;
  flex: 1;
}

main {
  margin: 0 auto;
  width: 100%;
  max-width: 700px;
  height: 560px;
  border-radius: 30px;
  background: #fff;
  padding: 20px 24px;
  padding-top: 0;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

.chat {
  flex: 1;
  display: flex;
  justify-content: flex-start;
  overflow-y: scroll;
  flex-direction: column;
  padding-bottom: 16px;
}

.bot-msg {
  display: flex;
  margin: 16px 8px 0 0;
  flex-shrink: 0;
}

.user-msg {
  display: flex;
  justify-content: flex-end;
  margin: 16px 0 0 8px;
  flex-shrink: 0;
}

.bot-msg img,
.user-msg img {
  width: 60px;
  height: 60px;
}

.bubble {
  background: #e5e9ff;
  font-weight: 600;
  font-size: 16px;
  line-height: 26px;
  padding: 16px 24px;
  color: #0026ff;
  max-width: 40%;
}

.bot-bubble {
  border-radius: 0px 26px 26px 26px;
  margin-left: 8px;
}

.user-bubble {
  border-radius: 26px 0 26px 26px;
  margin-right: 8px;
}

.input-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 29px;
}

.input-wrapper form {
  width: 100%;
  display: flex;
  align-items: center;
}

label {
  font-size: 16px;
  font-family: 'Montserrat';
  font-weight: 500;
  color: #0026ff;
  margin-right: 20px;
}

button {
  background-color: #0026ff;
  color: white;
  border: none;
  border-radius: 4px;
  padding: 16px 20px;
  margin: 5px;
  font-size: 16px;
  line-height: 26px;
  font-family: 'Montserrat';
  font-weight: 500;
  cursor: pointer;
  transition: all 0.3s ease;
}

button:hover {
  opacity: 0.7;
  transition: all 0.2s ease;
}

.yes-button{
  background-color: rgb(33, 164, 33);
}

.no-button{
  background-color: rgb(232, 17, 17);
}

button:active{
    box-shadow: 1px #666;
    transform: translateY(4px);
}


.dog{
  margin-top: 50px;
  width: 80%;
  display: block;
  margin: 10px auto;
}

.scoreboard{
  color: #0026ff;
  background: #7eec9d;
  text-align: center;
  width: 80%;
  align-self: center;
  border-radius: 4px;
  display: inline;
  padding: 10px 5px 20px 5px;
  box-shadow: 5px 4px 22px -10px black
}


 @media (max-width: 667px){

  body{
    overflow: hidden;
  }

  h1{
    font-size: 30px;
  }

  h2{
    font-size: 20px;
    margin-bottom: 5px;
  }
  
  main{
    border-radius: 0;
    width: 100%;
    height: 560px;
  }

  .input-wrapper form{
    max-width: 100%;
    justify-content: center;
  }
 
  input{
    padding: 16px 0px;
  }

  .sendBtn{
    padding: 16px 20px;
  }

  label{
    margin-right: 10px;
  }

.question-button{
  font-size: 14px;
  padding: 10px 10px;
}

}



 